Bug 697425

Summary: Review Request: sound-theme-beethoven-fifth - Sound theme based on Beethoven's fifth symphony
Product: [Fedora] Fedora Reporter: Elad Alfassa <elad>
Component: Package ReviewAssignee: Mario Blättermann <mario.blaettermann>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: christopher, fedora-package-review, mads, marcandre.lureau, mario.blaettermann, notting, twohotis
Target Milestone: ---Flags: mario.blaettermann: fedora‑review+
tibbs: fedora‑cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Fixed In Version: sound-theme-beethoven-fifth-1.0-2.fc15 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-05-10 17:16:49 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Elad Alfassa 2011-04-18 04:35:40 EDT
Spec URL: http://elad.fedorapeople.org/reviews/sound-theme-beethoven-fifth.spec
SRPM URL: http://elad.fedorapeople.org/reviews/sound-theme-beethoven-fifth-1.0-1.fc15.src.rpm
Description: Sound theme by the Fedora Sound SIG, 
based on Beethoven's fifth symphony, processed from a public domain recording.

This is the first sound theme from the fedora sound SIG :-)
Comment 1 Christopher Antila 2011-04-18 18:33:16 EDT
Is this theme intended to be standard-issue in all Fedora installations? Either way, has anybody thought about the socio-cultural implications of this particular sound theme? I'm not definitively either for or against this sound theme, in principle, but the very fact that it is what it is means that we are likely to endorse it as a good, neutral, positive change for the distribution. Because musical cultural problems are otherwise likely to go unnoticed, I feel obliged to stand here waving my arms and pointing at them.

Here's what I think we need to consider, and I'm being brief:

1.) Everything stems from the fact that most of the Fedora developers live in the Western European music culture, or its out-growths that include North America and Oceania. If we intend to make a universally distributable distribution, which seems to be the project's intention, then we cannot *just* let this music culture dominate without deciding that we want it to do so.

2.) Music is not universal. Sometimes, we fall into this trap as a result of sloppy thought-processes, and sometimes we wilfully mislead ourselves into thinking that music is universal. It's not, and in 2011, it isn't difficult to explain how not and why not. There are cultures that use very different music from our own - many of them unburdened by the artificial distinction between "art music" and "popular music." When we say that music is universal, what we mean is that music has the ability to transcend natural language barriers.

3.) Beethoven is, and historically has been, often constructed as the ultimate genius. His music, therefore, is very frequently called upon by people wishing to forward the argument of universality. When we access any Beethoven composition, we automatically invoke this argument.

4.) Worse still, Beethoven's fifth symphony, which is very obviously the basis for this sound theme, is one of the most well-known pieces of "classical music," that is - even more than the ninth symphony - called upon to lead the "how could you not appreciate this?!?!" charge. By hijacking this symphony, we add yet another element to the train of thought that holds this work as "universally good," which represents the universally good composer, the universally good classical music tradition, and the universally good Western European tradition that allowed it to develop.

5.) And "universally good" means "superior to every alternative." Classical music is also often upheld as one of the supreme achievements of... well... anything. It may or may not be, but do we want to be pushing this message as part of the Fedora Project? And moreover, do we want to be pushing it very forcefully by using Beethoven's fifth symphony? We need to think about this, and because we're an open-source project, our thought process needs to be documented for future reference by ourselves and others.

Basically what I'm saying is that, if this is to be the default sound theme (or even just the first sound theme), then we as a collective Project must decide whether or not we want to push the Western classical music tradition, and therefore the achievements of Western society, as superior to the achievements of all other cultures.

And for the record, Ubuntu has not, in my opinion, successfully solved this problem. They're simply co-opting a generic "African" culture, both with their name and with their sound theme, and thereby falling victim to good, old-fashioned Primitivism. I think, however, that "Microsoft" has solved the problem.
Comment 2 Onyeibo 2011-04-18 19:49:51 EDT
To cut the long story short.  The answer is no!  I believe the author of this sound-theme intended it be one of many sound-themes that will be developed by the musicians and creative artists at Fedora Sound SIG.  It does not represent a default sound-theme for fedora product but an option different from the freedesktop theme which has been the only theme shipping with fedora for 3 yrs AFAIK

The People at Fedora Sound SIG are basically giving meaning to an existing and mostly overlooked implementation in the Project. The XDG sound theme specification has been used in the Project since 2008 but unlike other aspects of Fedora Project, it remains mostly unexploited by contributors and end-users. By Contributors I mean those that are not directly involved in the implementation ... those who probably know nothing about scripting or programming.  Those contributors can be anybody from any discipline with a good taste of sound and music.

The Beethoven Sound theme is proof of concept -- if you will.  It does not represent the collective decision of the Fedora Project members. It is to the Fedora Sound SIG like what echo-Icon-theme is to the Fedora Design-team.  Echo Icon theme is not the default icon theme in Fedora product but contributors continue to improve it.  Users have a choice of using it at its present state.  What we should be considering is the provision of options (which promotes 'freedom' for which the project stand for).  So far, our users have not been that privileged in the sound event section.  That is what the SIG is trying to change and the Beethoven Theme is their first product.

It follows that no particular culture is being favoured although the present appear to suggest a preference to Western European Music. A contributor from a different part of the globe may submit something entirely different.  Its all about options ... and freedom.  Later, when the SIG matures we can start thinking of a theme that the Project can call theirs == The Fedora Sound Theme.

'Old-Fashioned Primitivism'?  That doesn't sound objective -- not nice either.  If you believe Microsoft has solved the problem then it can be done, more so, by Fedora Contributors when they put there resources to it.  I see a lot of reasoning in your argument though it doesn't fully apply in this case.  We could use more of your constructive approach/analysis at #fedora-sound channel (freenode).  Thanks
Comment 3 Elad Alfassa 2011-04-19 04:50:41 EDT
I agree with Onyeibo, It is not intended to replace the default. It is given as an option!
When I said first sound theme, I meant first package from the fedora sound SIG. It is in no way intended to be installed by default. 
It is free (as in freedom), thus I don't see any reason for not including this as an optional package fedora's repositories.
We do not want to force a specific genre of music on our users, we just want to give them options, to provide a wide selection of sound themes.
Comment 4 Mario Blättermann 2011-05-07 17:01:50 EDT
After a detailed discussion about the need of this package...

/bin/touch is shipped with the coreutils package, and I cannot imagine any system which don't have it installed. In my mind, you can drop it completely.

In general, your package looks good.
Koji scratch build:

$ rpmlint -v *
sound-theme-beethoven-fifth.noarch: I: checking
sound-theme-beethoven-fifth.noarch: I: checking-url https://fedoraproject.org/wiki/SIGs/Sound (timeout 10 seconds)
sound-theme-beethoven-fifth.src: I: checking
sound-theme-beethoven-fifth.src: I: checking-url https://fedoraproject.org/wiki/SIGs/Sound (timeout 10 seconds)
sound-theme-beethoven-fifth.src: I: checking-url http://elad.fedorapeople.org/sounds/sound-theme-beethoven-fifth-1.0.tar.bz2 (timeout 10 seconds)
sound-theme-beethoven-fifth.spec: I: checking-url http://elad.fedorapeople.org/sounds/sound-theme-beethoven-fifth-1.0.tar.bz2 (timeout 10 seconds)
2 packages and 1 specfiles checked; 0 errors, 0 warnings.

No issues so far.
Comment 5 Elad Alfassa 2011-05-08 02:00:39 EDT
Removed explicit dependency on /bin/touch.

Spec file is still: http://elad.fedorapeople.org/reviews/sound-theme-beethoven-fifth.spec 

Fedora Bugzappers volunteer triage team
Comment 6 Mario Blättermann 2011-05-08 06:15:19 EDT
New scratch build:

No further issues from rpmlint after the last change.


[+] OK
[.] OK, not applicable
[X] needs work

[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}.
[+] MUST: The package must meet the Packaging Guidelines.
[+] MUST: The package must be licensed with a Fedora approved license.
    Public Domain
[+] MUST: The License field in the package spec file must match the actual
[.] MUST: The file containing the text of the license(s) for the package must
be included in %doc.
    From the licensing guidelines:
    "Being in the public domain is not a license; rather, it means the material is not copyrighted and no license is needed. "
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source.
    $ md5sum *
    11d6c7a4ab8ad843500656199c15caf3  sound-theme-beethoven-fifth-1.0.tar.bz2
    11d6c7a4ab8ad843500656199c15caf3  sound-theme-beethoven-fifth-1.0.tar.bz2.packaged
[+] MUST: The package MUST successfully compile and build into binary rpms on
at least one primary architecture.
    - Succesful Koji build available.
[.] MUST: If the package does not successfully compile, build or work on an
architecture, ...
[.] MUST: All build dependencies must be listed in BuildRequires.
    No BuildRequires needed at all. Basic build environment is sufficient.
[.] MUST: The spec file MUST handle locales properly.
[.] MUST: If a package installs files below %{_datadir}/icons, the icon cache
must be updated.
[.] MUST: Packages storing shared library files (not just symlinks) must call
ldconfig in %post and %postun.
[.] MUST: Packages must NOT bundle copies of system libraries.
[.] MUST: If the package is designed to be relocatable, ...
[+] MUST: A package must own all directories that it creates. 
[+] MUST: A Fedora package must not list a file more than once in %files.
[+] MUST: Permissions on files must be set properly.
[+] MUST: Packages must not provide RPM dependency information when that
information is not global in nature, or are otherwise handled.
[.] MUST: When filtering automatically generated RPM dependency information,
the filtering system implemented by Fedora must be used.
[+] MUST: Each package must consistently use macros.
[+] MUST: The package must contain code, or permissable content.
[.] MUST: Large documentation files must go in a -doc subpackage.
[+] MUST: Files in %doc must not affect the runtime of the application.
[.] MUST: Header files must be in a -devel package.
[.] MUST: Static libraries must be in a -static package.
[.] MUST: If a package contains library files with a suffix (e.g.
libfoo.so.1.1), ...
[.] MUST: devel packages must require the base package using a fully versioned
[.] MUST: Packages must NOT contain any .la libtool archives.
[.] MUST: Packages containing GUI applications must include a %{name}.desktop
[.] MUST: .desktop files must be properly installed with desktop-file-install
in the %install section.
[+] MUST: Packages must not own files or directories already owned by other
[+] MUST: All filenames in rpm packages must be valid UTF-8.

[.] SHOULD: If the source package does not include license text(s) as a
    separate file from upstream, the packager SHOULD query upstream...
[+] SHOULD: Timestamps of files should be preserved.
[+] SHOULD: The reviewer should test that the package builds in mock.
    See Koji build above (which uses mock anyway)
[+] SHOULD: The reviewer should test that the package functions as described.
    Tested on F14, works for me.
[.] SHOULD: If scriptlets are used, those scriptlets must be sane.
[.] SHOULD: Usually, subpackages other than devel should require the base
package using a fully versioned dependency.
[.] SHOULD: pkgconfig(.pc) files should be placed in a -devel pkg.
[.] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin,
/usr/bin, or /usr/sbin ...
[.] SHOULD: Your package should contain man pages for binaries/scripts.



Comment 7 Elad Alfassa 2011-05-08 06:30:54 EDT
New Package SCM Request
Package Name: sound-theme-beethoven-fifth
Short Description: Sound theme based on Beethoven's fifth symphony
Owners: elad
Branches: f14 f15
InitialCC: elad

Fedora Bugzappers volunteer triage team
Comment 8 Elad Alfassa 2011-05-08 06:32:01 EDT
Thank you for the review! I hope the triage signature that was added automatically won't confuse the scm system.

Fedora Bugzappers volunteer triage team
Comment 9 Jason Tibbitts 2011-05-10 11:30:23 EDT
Git done (by process-git-requests).
Comment 10 Fedora Update System 2011-05-10 12:14:02 EDT
sound-theme-beethoven-fifth-1.0-2.fc14 has been submitted as an update for Fedora 14.
Comment 11 Fedora Update System 2011-05-10 12:18:29 EDT
sound-theme-beethoven-fifth-1.0-2.fc15 has been submitted as an update for Fedora 15.
Comment 12 Fedora Update System 2011-05-10 17:16:44 EDT
sound-theme-beethoven-fifth-1.0-2.fc14 has been pushed to the Fedora 14 stable repository.
Comment 13 Fedora Update System 2011-05-19 00:30:41 EDT
sound-theme-beethoven-fifth-1.0-2.fc15 has been pushed to the Fedora 15 stable repository.